RDS-DESCRIBE-ENGINE-DEFAULT-PARAMETERS(1)

NAME
rds-describe-engine-default-parameters - List DBParameterGroup parameter values for a DB engine

SYNOPSIS

 rds-describe-engine-default-parameters
     DBParameterGroupFamily [--marker value ] [--max-records value ]
     [General Options]

DESCRIPTION

    Returns the default DBParameterGroup parameter values for a specific
 Engine.

ARGUMENTS

 DBParameterGroupFamily
    The name of the DB parameter group family for which to list the defaults.
    You can also set this value using "--db-parameter-group-family".
    Required.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --marker VALUE
    The marker provided in the previous request. If this parameter is
    specified the response includes only records beyond the marker, up to
    MaxRecords.

 --max-records VALUE
    Maximum number of records to return per page.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 This shows how to see the default DBParameterGroup parameter values for the
 parameter group family mysql5.1, showing table headers.

 $PROMPT>rds-describe-engine-default-parameters mysql5.1 --headers

OUTPUT

 This command returns a table that contains the following:
 * Parameter Name - The name of the parameter.
 * Parameter Value - Value the parameter is currently set to.
 * Description - A short description of how the parameter is used. This
 column appears only in the --show-long view.
 * Source - Whether this parameter was set by RDS or is an engine default. It
 can be one of: system, engine-default.
 * Apply Type - One of the values: static, dynamic.
 * Is Modifiable - Indicates whether a given parameter is modifiable or not.
 * Minimum Version - Indicates the earliest engine version to which this
 parameter is applicable.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference